Name:           perl-Tangerine
Version:        0.15
Release:        1%{?dist}
Summary:        Analyse perl files and report module-related information
License:        MIT
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Tangerine/
Source0:        http://www.cpan.org/authors/id/C/CO/CONTYK/Tangerine-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.30
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Runtime
BuildRequires:  perl(Exporter)
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(parent)
BuildRequires:  perl(PPI)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(utf8)
# Tests only
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))

%description
Tangerine statically analyses perl files and reports various information
about provided, used (compile-time dependencies) and required (runtime
dependencies) modules.

%prep
%setup -q -n Tangerine-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} +
%{_fixperms} %{buildroot}/*

%check
make test

%files
%{!?_licensedir:%global license %%doc}
%license LICENSE
%doc Changes CONTRIBUTING README.md TODO
%{perl_vendorlib}/*
%{_mandir}/man*/*

%changelog
* Mon Apr 27 2015 Petr Šabata <contyk@redhat.com> - 0.15-1
- 0.15 bump
- The utility is now provided by a separate distribution/package

* Tue Mar 31 2015 Petr Šabata <contyk@redhat.com> - 0.14-1
- 0.14 bump

* Wed Feb 25 2015 Petr Šabata <contyk@redhat.com> - 0.13-1
- 0.13 bump

* Mon Jan 12 2015 Petr Šabata <contyk@redhat.com> - 0.12-1
- 0.12 bump

* Wed Nov 26 2014 Petr Šabata <contyk@redhat.com> - 0.11-1
- 0.11 bugfix bump

* Thu Oct 16 2014 Petr Šabata <contyk@redhat.com> - 0.10-1
- 0.10 bump

* Wed Oct 08 2014 Petr Šabata <contyk@redhat.com> - 0.06-1
- 0.06 bump, test suite enhancements

* Tue Sep 30 2014 Petr Šabata <contyk@redhat.com> - 0.05-1
- 0.05 bump

* Mon Sep 08 2014 Petr Šabata <contyk@redhat.com> - 0.03-1
- 0.03 bump
- Install the tangerine script

* Sun Sep 07 2014 Petr Šabata <contyk@redhat.com> 0.02-1
- Initial package
